import request from '@/utils/request';

/*
 * 分页查询
 */
export const getTaCheckItemAn = (params) => request('/api/taCheckItemAn', { params });

/*
 * 新增数据
 */
export const postTaCheckItemAn = (data) => request('/api/taCheckItemAn', { data, method: 'post' });

/*
 * 通过ID查询单条数据
 */
export const getTaCheckItemAnById = (id) => request(`/api/taCheckItemAn/${id}`);

/*
 * 更新数据
 */
export const putTaCheckItemAn = (id, data) => request(`An/${id}`, { data, method: 'put' });

/*
 * 通过主键删除数据
 */
export const deleteTaCheckItemAn = (id) => request(`/api/taCheckItemAn/${id}`, { method: 'delete' });
