import { Badge } from "antd";

export const processStatus = [
  { value: "01", label: "待交办", badge: "default" },
  { value: "02", label: "已交办", badge: "processing" },
  { value: "03", label: "已办结", badge: "success" },
  { value: "expired", label: "已逾期", badge: "error" },
  { value: "0201", label: "驳回申请中", badge: "processing" },
  { value: "0202", label: "延期申请中", badge: "processing" },
  { value: "0203", label: "单位审核中", badge: "processing" },
  { value: "0204", label: "消单申请中", badge: "processing" },
  { value: "expiredEnd", label: "延期办结", badge: "warning" },
];

export const processEnum = processStatus.reduce((acc, it) => {
  return {
    ...acc,
    [it.value]: {
      text: it.label,
    },
  };
}, {});
